<div class="loginPage">
  <mat-card>
    <mat-card-header>
      <img src="../assets/images/logo.jpeg" />
    </mat-card-header>
    <mat-card-content>
      <div *ngIf="codeExpired()">
        <div class="title bigTitle">
          Link has expired or is invalid. Reset your password again or contact
          admninistrator.
        </div>
        <div class="button">
          <button (click)="forgotPassword()" mat-raised-button color="primary">
            Reset your password
          </button>
        </div>
      </div>
      <div *ngIf="newPasswordSet()">
        <div class="title bigTitle">
          <div>
            New password for <u>{{ userEmail }}</u> has been set.
          </div>
          <div>Enjoy :-)</div>
        </div>
        <div class="button">
          <button (click)="login()" mat-raised-button color="primary">
            Go to login page
          </button>
        </div>
      </div>
      <div *ngIf="codeIsOK()">
        <div class="title">
          Set you new password for <u>{{ userEmail }}</u> user.
        </div>
        <form [formGroup]="passwordChangeRecoveryForm">
          <div class="row">
            <mat-form-field class="example-full-width">
              <mat-label>Password</mat-label>
              <input
                type="password"
                matInput
                [formControl]="passwordFormControl"
                placeholder="Enter your password"
              />
            </mat-form-field>
          </div>
          <div class="row">
            <mat-form-field class="example-full-width">
              <mat-label>Password confirm</mat-label>
              <input
                type="password"
                matInput
                [formControl]="passwordConfirmFormControl"
                placeholder="Confirm your password"
              />
              <mat-error *ngIf="passwordChangeRecoveryForm.hasError('notMatch')">
                Passwords do not match
              </mat-error>
            </mat-form-field>
          </div>
          <div class="button">
            <button
              (click)="changePasswordRecovery()"
              mat-raised-button
              color="primary"
              [disabled]="!passwordChangeRecoveryForm.valid"
            >
              Set new password
            </button>
          </div>
        </form>
      </div>
    </mat-card-content>
  </mat-card>
</div>
